Package com.logicaldoc.core.parser

# Class XMLParser

java.lang.Object
com.logicaldoc.core.parser.AbstractParser
com.logicaldoc.core.parser.XMLParser

All Implemented Interfaces:
  `Parser`

public class XMLParser extends AbstractParser
Text extractor for XML documents. This class extracts the text content and attribute values from XML documents.

This class can handle any XML-based format. However, it often makes sense to use more specialized extractors that better understand the specific content type.

Since:
  3.5
Author:
  Michael Scholz, Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`XMLParser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalParse(InputStream input, ParseParameters parameters, StringBuilder content)`

### Methods inherited from class com.logicaldoc.core.parser.AbstractParser

`countPages, countPages, parse, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLParser

public XMLParser()

## Method Details

### internalParse

public void internalParse(InputStream input, ParseParameters parameters, StringBuilder content)